commit:     95cd2f4241126445570c40455a8d5f03a35af01b
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Nov 12 05:23:04 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Nov 12 05:27:24 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=95cd2f42

dev-python/google-api-core: Bump to 2.23.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/google-api-core/Manifest                |  1 +
 .../google-api-core/google-api-core-2.23.0.ebuild  | 63 ++++++++++++++++++++++
 2 files changed, 64 insertions(+)

diff --git a/dev-python/google-api-core/Manifest 
b/dev-python/google-api-core/Manifest
index aa4cc99241dd..6cac385c95c9 100644
--- a/dev-python/google-api-core/Manifest
+++ b/dev-python/google-api-core/Manifest
@@ -1 +1,2 @@
 DIST python-api-core-2.22.0.gh.tar.gz 222827 BLAKE2B 
f6098dce83c01f47c81e9348794f4015e3c9a82ce6b1b8d6292f3e55f69eb490544e8f1831f4e50aead2308c5490c9cb954a39f8565244bccd2a9bd5771e1015
 SHA512 
b5b6f2cd2ced4e74b50f93efe74bc2027f2761aee55aac1c4421d68aaf785550caf14343b4f92df9b17a6207ecbdefc5625fefc3fc5cd6ef006d79cdde4da119
+DIST python-api-core-2.23.0.gh.tar.gz 207393 BLAKE2B 
7a179f4778c7bb38328f1621a072cd7f627cfa16ff0cbdb9e4e625c3d97e10f85b717b0fd458bc6a2137390dc18d6dd8a6d7c8bbacd256d897cc41411fc27392
 SHA512 
64554cd39038b85ed4d9f84394282b296a1889031c7ddcc8f6c1789dfff89c6179b9eb4cfbf2ad1707913f13054cfd01a959af4ba676aa84d2efb6901e4c6c8e

diff --git a/dev-python/google-api-core/google-api-core-2.23.0.ebuild 
b/dev-python/google-api-core/google-api-core-2.23.0.ebuild
new file mode 100644
index 000000000000..a7d49218760d
--- /dev/null
+++ b/dev-python/google-api-core/google-api-core-2.23.0.ebuild
@@ -0,0 +1,63 @@
+# Copyright 2020-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..13} )
+
+inherit distutils-r1
+
+MY_P=python-api-core-${PV}
+DESCRIPTION="Core Library for Google Client Libraries"
+HOMEPAGE="
+       https://github.com/googleapis/python-api-core/
+       https://pypi.org/project/google-api-core/
+       https://googleapis.dev/python/google-api-core/latest/index.html
+"
+SRC_URI="
+       https://github.com/googleapis/python-api-core/archive/v${PV}.tar.gz
+               -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE="grpc"
+
+RDEPEND="
+       >=dev-python/googleapis-common-protos-1.56.2[${PYTHON_USEDEP}]
+       >=dev-python/google-auth-1.25.0[${PYTHON_USEDEP}]
+       >=dev-python/proto-plus-1.25.0[${PYTHON_USEDEP}]
+       >=dev-python/protobuf-python-3.19.5[${PYTHON_USEDEP}]
+       >=dev-python/requests-2.18.0[${PYTHON_USEDEP}]
+       <dev-python/requests-3[${PYTHON_USEDEP}]
+       grpc? (
+               >=dev-python/grpcio-1.49.1[${PYTHON_USEDEP}]
+               >=dev-python/grpcio-status-1.49.1[${PYTHON_USEDEP}]
+       )
+"
+BDEPEND="
+       test? (
+               >=dev-python/grpcio-1.49.1[${PYTHON_USEDEP}]
+               >=dev-python/grpcio-status-1.49.1[${PYTHON_USEDEP}]
+               dev-python/mock[${PYTHON_USEDEP}]
+               dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+               dev-python/rsa[${PYTHON_USEDEP}]
+       )
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_IGNORE=(
+       # The grpc_gcp module is missing to perform a stress test
+       tests/unit/test_grpc_helpers.py
+)
+
+python_test() {
+       rm -rf google || die
+
+       local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+       epytest -p asyncio tests
+}

Reply via email to